#ifndef NOSLOTS
# define DEF( name, key3, key4, fnSlot ) \
   keys->insert( name, i18n(name), QString::null, key3, key4, this, SLOT(fnSlot) )
#else
# define DEF( name, key3, key4, fnSlot ) \
   keys->insert( name, i18n(name), QString::null, key3, key4 )
#endif
#define WIN KKey::QtWIN

#ifdef KICKER_ALL_BINDINGS
#define LAUNCH_MENU
#define SHOW_DESKTOP
#endif

#ifdef LAUNCH_MENU
	keys->insert( "Program:kicker", i18n("Panel") );
	DEF( I18N_NOOP( "Popup Launch Menu" ), ALT+Qt::Key_F1, WIN+Qt::Key_Menu, slotKMenuAccel() );
#endif

#ifdef SHOW_DESKTOP
	DEF( I18N_NOOP( "Toggle Showing Desktop" ), ALT+CTRL+Qt::Key_D, WIN+CTRL+Qt::Key_D, slotDesktopAccel() );
#endif

#undef DEF
#undef WIN
